# -*- coding: utf-8 -*-

from utils.redis.connect import r
from utils.redis.rkeys import ROOM_GOODS_INVENTORY


def set_inventory(rgid, inventory):
    r.set(ROOM_GOODS_INVENTORY % rgid, inventory)


def __get_inventory(rgid):
    return r.getint(ROOM_GOODS_INVENTORY % rgid)


def get_inventory(rgid):
    return max(__get_inventory(rgid), 0)


def incr_inventory(rgid, num):
    r.incr(ROOM_GOODS_INVENTORY % rgid, num)


def decr_inventory(rgid, num):
    r.decr(ROOM_GOODS_INVENTORY % rgid, num)
